# IAX2IeData Class Reference

`#include <iedata.h>`

## Public Member Functions

virtual void | PrintOn (ostream &strm) const
Construction/Destruction
| IAX2IeData ()
| ~IAX2IeData ()

## Data Fields

PString | calledNumber
PString | callingNumber
PString | callingAni
PString | callingName
int | callingTon
int | callingTns
int | callingPres
PString | calledContext
PString | userName
PString | password
unsigned int | capability
unsigned int | format
PString | codecPrefs
PString | language
int | version
PINDEX | adsicpe
PString | dnid
PString | rdnis
short | authMethods
unsigned int | encryptionMethods
PString | challenge
PString | md5Result
PString | rsaResult
PIPSocket::Address | apparentAddr
PINDEX | refresh
PINDEX | dpStatus
PINDEX | callNo
PString | cause
BYTE | causeCode
BYTE | iaxUnknown
int | msgCount
int | autoAnswer
int | musicOnHold
unsigned int | transferId
PTime | dateTime
PString | deviceType
PString | serviceIdent
int | firmwareVer
unsigned int | fwBlockDesc
PBYTEArray | fwBlockData
PString | encKey
unsigned int | provVer
PINDEX | samplingRate
int | provverPres
unsigned int | receivedJitter
unsigned int | receivedLoss
unsigned int | receivedPackets
unsigned short | receivedDelay
unsigned int | receivedDropped
unsigned int | receivedOoo
PBYTEArray | callToken

## Detailed Description

This class is used to contain the data read from the different ie fields.

This class is not thread safe.

## Constructor & Destructor Documentation

IAX2IeData::IAX2IeData | ( |  | ) |

Construct IeData class

IAX2IeData::~IAX2IeData | ( |  | ) |

## Member Function Documentation

virtual void IAX2IeData::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Pretty print the varaibles in this class to the designated stream

## Field Documentation

PINDEX IAX2IeData::adsicpe

CPE ADSI capability - short

PIPSocket::Address IAX2IeData::apparentAddr

Apparent address of peer - struct sockaddr_in

short IAX2IeData::authMethods

Authentication method(s) - short

int IAX2IeData::autoAnswer

Request auto-answering -- none

PString IAX2IeData::calledContext

Context for number - string

PString IAX2IeData::calledNumber

Number/extension being called - string

PString IAX2IeData::callingAni

Calling number ANI for billing - string

PString IAX2IeData::callingName

Name of caller - string

PString IAX2IeData::callingNumber

Calling number - string

int IAX2IeData::callingPres

calling presntn

int IAX2IeData::callingTns

calling transitnet

int IAX2IeData::callingTon

calling typeofnum

PINDEX IAX2IeData::callNo

Call number of peer - short

PBYTEArray IAX2IeData::callToken

"Fix" DOS vulnerability from lots of calls being setup.

unsigned int IAX2IeData::capability

Actual codec capability - unsigned int

PString IAX2IeData::cause

Cause - string

BYTE IAX2IeData::causeCode

cause code

PString IAX2IeData::challenge

Challenge data for MD5/RSA - string

PString IAX2IeData::codecPrefs

codec_prefs

PTime IAX2IeData::dateTime

Date/Time

PString IAX2IeData::deviceType

device type

PString IAX2IeData::dnid

Originally dialed DNID - string

PINDEX IAX2IeData::dpStatus

Dialplan status - short

PString IAX2IeData::encKey

encryption key

unsigned int IAX2IeData::encryptionMethods

encryption method to us

int IAX2IeData::firmwareVer

firmware ver

unsigned int IAX2IeData::format

Desired codec format - unsigned int

PBYTEArray IAX2IeData::fwBlockData

fw block data

unsigned int IAX2IeData::fwBlockDesc

fw block desc

BYTE IAX2IeData::iaxUnknown

never used

PString IAX2IeData::language

Desired language - string

PString IAX2IeData::md5Result

MD5 challenge result - string

int IAX2IeData::msgCount

How many messages waiting - short

int IAX2IeData::musicOnHold

Request musiconhold with QUELCH -- none or string

PString IAX2IeData::password

Password for authentication - string

unsigned int IAX2IeData::provVer

provisioning ver

int IAX2IeData::provverPres

provisioning ver

PString IAX2IeData::rdnis

Referring DNIS -- string

unsigned short IAX2IeData::receivedDelay

Max playout delay for received frame (in ms) u16

unsigned int IAX2IeData::receivedDropped

Dropped frames (presumably by jitterbuf) u32

unsigned int IAX2IeData::receivedJitter

received jitter (as in rfc 1889) u32

unsigned int IAX2IeData::receivedLoss

Received loss (high byte loss pckt, low 24 bits loss count, as in rfc1889

unsigned int IAX2IeData::receivedOoo

Frames received Out of Order u32

unsigned int IAX2IeData::receivedPackets

recevied frames (total frames received) u32

PINDEX IAX2IeData::refresh

When to refresh registration - short

PString IAX2IeData::rsaResult

RSA challenge result - string

PINDEX IAX2IeData::samplingRate

samplingrate

PString IAX2IeData::serviceIdent

service ident

unsigned int IAX2IeData::transferId

Transfer Request Identifier -- int

PString IAX2IeData::userName

Username (peer or user) for authentication - string

int IAX2IeData::version

Protocol version - short

The documentation for this class was generated from the following file:

- iedata.h